# TISControlProtocol

![Build Status](https://img.shields.io/badge/build-passing-brightgreen)
![Version 0.1.0](https://img.shields.io/badge/version-3.0.0-blue)
![License MIT](https://img.shields.io/badge/license-MIT-green)

TISControlProtocol is a powerful Python package for controlling TIS devices. It provides a simple and intuitive API for interacting with TIS devices, making it easy to integrate TIS devices into your Python applications.

## Features

- ✅ Fully Supports Asynchronous Operations
- ✅ Flawless feedback mechanism to prevent data loss
- ✅ Debounce mechanism to prevent multiple commands from being sent for protection
- ✅ Easy to use API for controlling TIS devices
- ✅ Clean and simple codebase
- ✅ Ready to integrate with Home Assistant

## Installation

You can install TISControlProtocol by adding it to your Manifest file or by using pip. Here's how you can install it using pip:

```bash
pip install TISControlProtocol
```

## Building

To build the package, you can use the following commands:

```bash
python -m build
twine upload dist/*
```

## License

TISControlProtocol is licensed under the MIT license. See the [LICENSE](https://your-license-link) file for details.
